/* preferences-dialog.c generated by valac 0.31.1.12-d87fb, the Vala compiler
 * generated from preferences-dialog.vala, do not modify */

/* -*- Mode: vala; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*-
 * Gnome Nibbles: Gnome Worm Game
 * Copyright (C) 2015 Gabriel Ivascu <ivascu.gabriel59@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <gio/gio.h>
#include <gee.h>
#include <glib/gi18n-lib.h>
#include <stdlib.h>
#include <string.h>
#include <gdk/gdk.h>


#define TYPE_PREFERENCES_DIALOG (preferences_dialog_get_type ())
#define PREFERENCES_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_PREFERENCES_DIALOG, PreferencesDialog))
#define PREFERENCES_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_PREFERENCES_DIALOG, PreferencesDialogClass))
#define IS_PREFERENCES_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_PREFERENCES_DIALOG))
#define IS_PREFERENCES_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_PREFERENCES_DIALOG))
#define PREFERENCES_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_PREFERENCES_DIALOG, PreferencesDialogClass))

typedef struct _PreferencesDialog PreferencesDialog;
typedef struct _PreferencesDialogClass PreferencesDialogClass;
typedef struct _PreferencesDialogPrivate PreferencesDialogPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _gtk_tree_path_free0(var) ((var == NULL) ? NULL : (var = (gtk_tree_path_free (var), NULL)))

struct _PreferencesDialog {
	GtkDialog parent_instance;
	PreferencesDialogPrivate * priv;
};

struct _PreferencesDialogClass {
	GtkDialogClass parent_class;
};

struct _PreferencesDialogPrivate {
	GtkApplicationWindow* window;
	GSettings* settings;
	GeeArrayList* worm_settings;
	GtkNotebook* notebook;
	GtkRadioButton* beginner_radio_button;
	GtkRadioButton* slow_radio_button;
	GtkRadioButton* medium_radio_button;
	GtkRadioButton* fast_radio_button;
	GtkCheckButton* sound_check_button;
	GtkCheckButton* fakes_check_button;
	GtkListStore* list_store_1;
	GtkListStore* list_store_2;
	GtkListStore* list_store_3;
	GtkListStore* list_store_4;
	GtkTreeView* tree_view_1;
	GtkTreeView* tree_view_2;
	GtkTreeView* tree_view_3;
	GtkTreeView* tree_view_4;
	GtkComboBoxText* combo_box_1;
	GtkComboBoxText* combo_box_2;
	GtkComboBoxText* combo_box_3;
	GtkComboBoxText* combo_box_4;
	GeeArrayList* radio_buttons;
	GeeArrayList* list_stores;
	GeeArrayList* tree_views;
	GeeArrayList* combo_boxes;
};


static gpointer preferences_dialog_parent_class = NULL;

GType preferences_dialog_get_type (void) G_GNUC_CONST;
#define PREFERENCES_DIALOG_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_PREFERENCES_DIALOG, PreferencesDialogPrivate))
enum  {
	PREFERENCES_DIALOG_DUMMY_PROPERTY
};
PreferencesDialog* preferences_dialog_new (GtkApplicationWindow* window, GSettings* settings, GeeArrayList* worm_settings);
PreferencesDialog* preferences_dialog_construct (GType object_type, GtkApplicationWindow* window, GSettings* settings, GeeArrayList* worm_settings);
static void __lambda4_ (PreferencesDialog* self);
static void ___lambda4__gtk_dialog_response (GtkDialog* _sender, gint response_id, gpointer self);
#define NIBBLES_GAME_MAX_SPEED 4
static void preferences_dialog_radio_button_toggled_cb (PreferencesDialog* self, GtkToggleButton* button);
static void _preferences_dialog_radio_button_toggled_cb_gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self);
static void preferences_dialog_sound_toggled_cb (PreferencesDialog* self);
static void _preferences_dialog_sound_toggled_cb_gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self);
static void preferences_dialog_fakes_toggles_cb (PreferencesDialog* self);
static void _preferences_dialog_fakes_toggles_cb_gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self);
static void preferences_dialog_accel_edited_cb (PreferencesDialog* self, GtkCellRendererAccel* cell, const gchar* path_string, guint keyval, GdkModifierType mask, guint hardware_keycode);
static void _preferences_dialog_accel_edited_cb_gtk_cell_renderer_accel_accel_edited (GtkCellRendererAccel* _sender, const gchar* path_string, guint accel_key, GdkModifierType accel_mods, guint hardware_keycode, gpointer self);
static void preferences_dialog_accel_cleared_cb (PreferencesDialog* self, GtkCellRendererAccel* cell, const gchar* path_string);
static void _preferences_dialog_accel_cleared_cb_gtk_cell_renderer_accel_accel_cleared (GtkCellRendererAccel* _sender, const gchar* path_string, gpointer self);
#define NIBBLES_VIEW_NUM_COLORS 6
gchar* nibbles_view_colorval_name (gint colorval);
static void preferences_dialog_combo_box_changed_cb (PreferencesDialog* self, GtkComboBox* combo_box);
static void _preferences_dialog_combo_box_changed_cb_gtk_combo_box_changed (GtkComboBox* _sender, gpointer self);
#define NIBBLES_GAME_MAX_HUMANS 4
#define NIBBLES_GAME_MAX_WORMS 6
static void preferences_dialog_finalize (GObject* obj);


static gpointer _g_object_ref0 (gpointer self) {
#line 75 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	return self ? g_object_ref (self) : NULL;
#line 121 "preferences-dialog.c"
}


static void __lambda4_ (PreferencesDialog* self) {
#line 80 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gtk_widget_destroy ((GtkWidget*) self);
#line 128 "preferences-dialog.c"
}


static void ___lambda4__gtk_dialog_response (GtkDialog* _sender, gint response_id, gpointer self) {
#line 79 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	__lambda4_ ((PreferencesDialog*) self);
#line 135 "preferences-dialog.c"
}


static void _preferences_dialog_radio_button_toggled_cb_gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self) {
#line 96 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	preferences_dialog_radio_button_toggled_cb ((PreferencesDialog*) self, _sender);
#line 142 "preferences-dialog.c"
}


static void _preferences_dialog_sound_toggled_cb_gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self) {
#line 101 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	preferences_dialog_sound_toggled_cb ((PreferencesDialog*) self);
#line 149 "preferences-dialog.c"
}


static void _preferences_dialog_fakes_toggles_cb_gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self) {
#line 105 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	preferences_dialog_fakes_toggles_cb ((PreferencesDialog*) self);
#line 156 "preferences-dialog.c"
}


static void _preferences_dialog_accel_edited_cb_gtk_cell_renderer_accel_accel_edited (GtkCellRendererAccel* _sender, const gchar* path_string, guint accel_key, GdkModifierType accel_mods, guint hardware_keycode, gpointer self) {
#line 145 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	preferences_dialog_accel_edited_cb ((PreferencesDialog*) self, _sender, path_string, accel_key, accel_mods, hardware_keycode);
#line 163 "preferences-dialog.c"
}


static void _preferences_dialog_accel_cleared_cb_gtk_cell_renderer_accel_accel_cleared (GtkCellRendererAccel* _sender, const gchar* path_string, gpointer self) {
#line 146 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	preferences_dialog_accel_cleared_cb ((PreferencesDialog*) self, _sender, path_string);
#line 170 "preferences-dialog.c"
}


static void _preferences_dialog_combo_box_changed_cb_gtk_combo_box_changed (GtkComboBox* _sender, gpointer self) {
#line 167 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	preferences_dialog_combo_box_changed_cb ((PreferencesDialog*) self, _sender);
#line 177 "preferences-dialog.c"
}


PreferencesDialog* preferences_dialog_construct (GType object_type, GtkApplicationWindow* window, GSettings* settings, GeeArrayList* worm_settings) {
	PreferencesDialog * self = NULL;
	GSettings* _tmp0_ = NULL;
	GSettings* _tmp1_ = NULL;
	GeeArrayList* _tmp2_ = NULL;
	GeeArrayList* _tmp3_ = NULL;
	GtkApplicationWindow* _tmp4_ = NULL;
	GtkApplicationWindow* _tmp5_ = NULL;
	GtkApplicationWindow* _tmp6_ = NULL;
	GeeArrayList* _tmp7_ = NULL;
	GeeArrayList* _tmp8_ = NULL;
	GtkRadioButton* _tmp9_ = NULL;
	GeeArrayList* _tmp10_ = NULL;
	GtkRadioButton* _tmp11_ = NULL;
	GeeArrayList* _tmp12_ = NULL;
	GtkRadioButton* _tmp13_ = NULL;
	GeeArrayList* _tmp14_ = NULL;
	GtkRadioButton* _tmp15_ = NULL;
	GtkCheckButton* _tmp35_ = NULL;
	GSettings* _tmp36_ = NULL;
	gboolean _tmp37_ = FALSE;
	GtkCheckButton* _tmp38_ = NULL;
	GtkCheckButton* _tmp39_ = NULL;
	GSettings* _tmp40_ = NULL;
	gboolean _tmp41_ = FALSE;
	GtkCheckButton* _tmp42_ = NULL;
	GeeArrayList* _tmp43_ = NULL;
	GeeArrayList* _tmp44_ = NULL;
	GtkTreeView* _tmp45_ = NULL;
	GeeArrayList* _tmp46_ = NULL;
	GtkTreeView* _tmp47_ = NULL;
	GeeArrayList* _tmp48_ = NULL;
	GtkTreeView* _tmp49_ = NULL;
	GeeArrayList* _tmp50_ = NULL;
	GtkTreeView* _tmp51_ = NULL;
	GeeArrayList* _tmp52_ = NULL;
	GeeArrayList* _tmp53_ = NULL;
	GtkListStore* _tmp54_ = NULL;
	GeeArrayList* _tmp55_ = NULL;
	GtkListStore* _tmp56_ = NULL;
	GeeArrayList* _tmp57_ = NULL;
	GtkListStore* _tmp58_ = NULL;
	GeeArrayList* _tmp59_ = NULL;
	GtkListStore* _tmp60_ = NULL;
	GeeArrayList* _tmp135_ = NULL;
	GeeArrayList* _tmp136_ = NULL;
	GtkComboBoxText* _tmp137_ = NULL;
	GeeArrayList* _tmp138_ = NULL;
	GtkComboBoxText* _tmp139_ = NULL;
	GeeArrayList* _tmp140_ = NULL;
	GtkComboBoxText* _tmp141_ = NULL;
	GeeArrayList* _tmp142_ = NULL;
	GtkComboBoxText* _tmp143_ = NULL;
#line 71 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	g_return_val_if_fail (window != NULL, NULL);
#line 71 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	g_return_val_if_fail (settings != NULL, NULL);
#line 71 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	g_return_val_if_fail (worm_settings != NULL, NULL);
#line 73 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	self = (PreferencesDialog*) g_object_new (object_type, "use-header-bar", 1, NULL);
#line 75 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp0_ = settings;
#line 75 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 75 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->settings);
#line 75 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	self->priv->settings = _tmp1_;
#line 76 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp2_ = worm_settings;
#line 76 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp3_ = _g_object_ref0 (_tmp2_);
#line 76 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->worm_settings);
#line 76 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	self->priv->worm_settings = _tmp3_;
#line 77 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp4_ = window;
#line 77 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp5_ = _g_object_ref0 (_tmp4_);
#line 77 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->window);
#line 77 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	self->priv->window = _tmp5_;
#line 79 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	g_signal_connect_object ((GtkDialog*) self, "response", (GCallback) ___lambda4__gtk_dialog_response, self, 0);
#line 83 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp6_ = window;
#line 83 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gtk_window_set_transient_for ((GtkWindow*) self, (GtkWindow*) _tmp6_);
#line 86 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp7_ = gee_array_list_new (gtk_radio_button_get_type (), (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL, NULL, NULL);
#line 86 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->radio_buttons);
#line 86 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	self->priv->radio_buttons = _tmp7_;
#line 87 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp8_ = self->priv->radio_buttons;
#line 87 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp9_ = self->priv->beginner_radio_button;
#line 87 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp8_, _tmp9_);
#line 88 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp10_ = self->priv->radio_buttons;
#line 88 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp11_ = self->priv->slow_radio_button;
#line 88 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp10_, _tmp11_);
#line 89 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp12_ = self->priv->radio_buttons;
#line 89 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp13_ = self->priv->medium_radio_button;
#line 89 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp12_, _tmp13_);
#line 90 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp14_ = self->priv->radio_buttons;
#line 90 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp15_ = self->priv->fast_radio_button;
#line 90 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp14_, _tmp15_);
#line 302 "preferences-dialog.c"
	{
		GeeArrayList* _radio_button_list = NULL;
		GeeArrayList* _tmp16_ = NULL;
		GeeArrayList* _tmp17_ = NULL;
		gint _radio_button_size = 0;
		GeeArrayList* _tmp18_ = NULL;
		gint _tmp19_ = 0;
		gint _tmp20_ = 0;
		gint _radio_button_index = 0;
#line 92 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_tmp16_ = self->priv->radio_buttons;
#line 92 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_tmp17_ = _g_object_ref0 (_tmp16_);
#line 92 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_radio_button_list = _tmp17_;
#line 92 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_tmp18_ = _radio_button_list;
#line 92 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_tmp19_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp18_);
#line 92 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_tmp20_ = _tmp19_;
#line 92 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_radio_button_size = _tmp20_;
#line 92 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_radio_button_index = -1;
#line 92 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		while (TRUE) {
#line 330 "preferences-dialog.c"
			gint _tmp21_ = 0;
			gint _tmp22_ = 0;
			gint _tmp23_ = 0;
			GtkRadioButton* radio_button = NULL;
			GeeArrayList* _tmp24_ = NULL;
			gint _tmp25_ = 0;
			gpointer _tmp26_ = NULL;
			gint speed = 0;
			GeeArrayList* _tmp27_ = NULL;
			GtkRadioButton* _tmp28_ = NULL;
			gint _tmp29_ = 0;
			GtkRadioButton* _tmp30_ = NULL;
			gint _tmp31_ = 0;
			GSettings* _tmp32_ = NULL;
			gint _tmp33_ = 0;
			GtkRadioButton* _tmp34_ = NULL;
#line 92 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp21_ = _radio_button_index;
#line 92 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_radio_button_index = _tmp21_ + 1;
#line 92 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp22_ = _radio_button_index;
#line 92 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp23_ = _radio_button_size;
#line 92 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			if (!(_tmp22_ < _tmp23_)) {
#line 92 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
				break;
#line 359 "preferences-dialog.c"
			}
#line 92 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp24_ = _radio_button_list;
#line 92 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp25_ = _radio_button_index;
#line 92 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp26_ = gee_abstract_list_get ((GeeAbstractList*) _tmp24_, _tmp25_);
#line 92 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			radio_button = (GtkRadioButton*) _tmp26_;
#line 94 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp27_ = self->priv->radio_buttons;
#line 94 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp28_ = radio_button;
#line 94 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp29_ = gee_abstract_list_index_of ((GeeAbstractList*) _tmp27_, _tmp28_);
#line 94 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			speed = NIBBLES_GAME_MAX_SPEED - _tmp29_;
#line 95 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp30_ = radio_button;
#line 95 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp31_ = speed;
#line 95 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp32_ = settings;
#line 95 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp33_ = g_settings_get_int (_tmp32_, "speed");
#line 95 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			gtk_toggle_button_set_active ((GtkToggleButton*) _tmp30_, _tmp31_ == _tmp33_);
#line 96 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp34_ = radio_button;
#line 96 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			g_signal_connect_object ((GtkToggleButton*) _tmp34_, "toggled", (GCallback) _preferences_dialog_radio_button_toggled_cb_gtk_toggle_button_toggled, self, 0);
#line 92 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_g_object_unref0 (radio_button);
#line 393 "preferences-dialog.c"
		}
#line 92 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_g_object_unref0 (_radio_button_list);
#line 397 "preferences-dialog.c"
	}
#line 100 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp35_ = self->priv->sound_check_button;
#line 100 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp36_ = settings;
#line 100 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp37_ = g_settings_get_boolean (_tmp36_, "sound");
#line 100 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gtk_toggle_button_set_active ((GtkToggleButton*) _tmp35_, _tmp37_);
#line 101 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp38_ = self->priv->sound_check_button;
#line 101 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	g_signal_connect_object ((GtkToggleButton*) _tmp38_, "toggled", (GCallback) _preferences_dialog_sound_toggled_cb_gtk_toggle_button_toggled, self, 0);
#line 104 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp39_ = self->priv->fakes_check_button;
#line 104 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp40_ = settings;
#line 104 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp41_ = g_settings_get_boolean (_tmp40_, "fakes");
#line 104 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gtk_toggle_button_set_active ((GtkToggleButton*) _tmp39_, _tmp41_);
#line 105 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp42_ = self->priv->fakes_check_button;
#line 105 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	g_signal_connect_object ((GtkToggleButton*) _tmp42_, "toggled", (GCallback) _preferences_dialog_fakes_toggles_cb_gtk_toggle_button_toggled, self, 0);
#line 108 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp43_ = gee_array_list_new (gtk_tree_view_get_type (), (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL, NULL, NULL);
#line 108 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->tree_views);
#line 108 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	self->priv->tree_views = _tmp43_;
#line 109 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp44_ = self->priv->tree_views;
#line 109 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp45_ = self->priv->tree_view_1;
#line 109 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp44_, _tmp45_);
#line 110 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp46_ = self->priv->tree_views;
#line 110 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp47_ = self->priv->tree_view_2;
#line 110 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp46_, _tmp47_);
#line 111 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp48_ = self->priv->tree_views;
#line 111 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp49_ = self->priv->tree_view_3;
#line 111 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp48_, _tmp49_);
#line 112 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp50_ = self->priv->tree_views;
#line 112 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp51_ = self->priv->tree_view_4;
#line 112 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp50_, _tmp51_);
#line 114 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp52_ = gee_array_list_new (gtk_list_store_get_type (), (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL, NULL, NULL);
#line 114 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->list_stores);
#line 114 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	self->priv->list_stores = _tmp52_;
#line 115 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp53_ = self->priv->list_stores;
#line 115 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp54_ = self->priv->list_store_1;
#line 115 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp53_, _tmp54_);
#line 116 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp55_ = self->priv->list_stores;
#line 116 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp56_ = self->priv->list_store_2;
#line 116 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp55_, _tmp56_);
#line 117 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp57_ = self->priv->list_stores;
#line 117 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp58_ = self->priv->list_store_3;
#line 117 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp57_, _tmp58_);
#line 118 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp59_ = self->priv->list_stores;
#line 118 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp60_ = self->priv->list_store_4;
#line 118 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp59_, _tmp60_);
#line 483 "preferences-dialog.c"
	{
		GeeArrayList* _list_store_list = NULL;
		GeeArrayList* _tmp61_ = NULL;
		GeeArrayList* _tmp62_ = NULL;
		gint _list_store_size = 0;
		GeeArrayList* _tmp63_ = NULL;
		gint _tmp64_ = 0;
		gint _tmp65_ = 0;
		gint _list_store_index = 0;
#line 120 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_tmp61_ = self->priv->list_stores;
#line 120 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_tmp62_ = _g_object_ref0 (_tmp61_);
#line 120 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_list_store_list = _tmp62_;
#line 120 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_tmp63_ = _list_store_list;
#line 120 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_tmp64_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp63_);
#line 120 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_tmp65_ = _tmp64_;
#line 120 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_list_store_size = _tmp65_;
#line 120 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_list_store_index = -1;
#line 120 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		while (TRUE) {
#line 511 "preferences-dialog.c"
			gint _tmp66_ = 0;
			gint _tmp67_ = 0;
			gint _tmp68_ = 0;
			GtkListStore* list_store = NULL;
			GeeArrayList* _tmp69_ = NULL;
			gint _tmp70_ = 0;
			gpointer _tmp71_ = NULL;
			gint id = 0;
			GeeArrayList* _tmp72_ = NULL;
			GtkListStore* _tmp73_ = NULL;
			gint _tmp74_ = 0;
			GtkTreeView* tree_view = NULL;
			GeeArrayList* _tmp75_ = NULL;
			gint _tmp76_ = 0;
			gpointer _tmp77_ = NULL;
			GtkTreeIter iter = {0};
			GtkListStore* _tmp78_ = NULL;
			GtkTreeIter _tmp79_ = {0};
			gint keyval = 0;
			GeeArrayList* _tmp80_ = NULL;
			gint _tmp81_ = 0;
			gpointer _tmp82_ = NULL;
			GSettings* _tmp83_ = NULL;
			gint _tmp84_ = 0;
			gint _tmp85_ = 0;
			GtkListStore* _tmp86_ = NULL;
			GtkTreeIter _tmp87_ = {0};
			const gchar* _tmp88_ = NULL;
			gint _tmp89_ = 0;
			GtkListStore* _tmp90_ = NULL;
			GtkTreeIter _tmp91_ = {0};
			GeeArrayList* _tmp92_ = NULL;
			gint _tmp93_ = 0;
			gpointer _tmp94_ = NULL;
			GSettings* _tmp95_ = NULL;
			gint _tmp96_ = 0;
			GtkListStore* _tmp97_ = NULL;
			GtkTreeIter _tmp98_ = {0};
			const gchar* _tmp99_ = NULL;
			gint _tmp100_ = 0;
			GtkListStore* _tmp101_ = NULL;
			GtkTreeIter _tmp102_ = {0};
			GeeArrayList* _tmp103_ = NULL;
			gint _tmp104_ = 0;
			gpointer _tmp105_ = NULL;
			GSettings* _tmp106_ = NULL;
			gint _tmp107_ = 0;
			GtkListStore* _tmp108_ = NULL;
			GtkTreeIter _tmp109_ = {0};
			const gchar* _tmp110_ = NULL;
			gint _tmp111_ = 0;
			GtkListStore* _tmp112_ = NULL;
			GtkTreeIter _tmp113_ = {0};
			GeeArrayList* _tmp114_ = NULL;
			gint _tmp115_ = 0;
			gpointer _tmp116_ = NULL;
			GSettings* _tmp117_ = NULL;
			gint _tmp118_ = 0;
			GtkListStore* _tmp119_ = NULL;
			GtkTreeIter _tmp120_ = {0};
			const gchar* _tmp121_ = NULL;
			gint _tmp122_ = 0;
			GtkCellRendererText* label_renderer = NULL;
			GtkCellRendererText* _tmp123_ = NULL;
			GtkTreeView* _tmp124_ = NULL;
			const gchar* _tmp125_ = NULL;
			GtkCellRendererText* _tmp126_ = NULL;
			GtkCellRendererAccel* key_renderer = NULL;
			GtkCellRendererAccel* _tmp127_ = NULL;
			GtkCellRendererAccel* _tmp128_ = NULL;
			GtkCellRendererAccel* _tmp129_ = NULL;
			GtkCellRendererAccel* _tmp130_ = NULL;
			GtkCellRendererAccel* _tmp131_ = NULL;
			GtkTreeView* _tmp132_ = NULL;
			const gchar* _tmp133_ = NULL;
			GtkCellRendererAccel* _tmp134_ = NULL;
#line 120 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp66_ = _list_store_index;
#line 120 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_list_store_index = _tmp66_ + 1;
#line 120 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp67_ = _list_store_index;
#line 120 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp68_ = _list_store_size;
#line 120 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			if (!(_tmp67_ < _tmp68_)) {
#line 120 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
				break;
#line 600 "preferences-dialog.c"
			}
#line 120 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp69_ = _list_store_list;
#line 120 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp70_ = _list_store_index;
#line 120 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp71_ = gee_abstract_list_get ((GeeAbstractList*) _tmp69_, _tmp70_);
#line 120 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			list_store = (GtkListStore*) _tmp71_;
#line 122 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp72_ = self->priv->list_stores;
#line 122 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp73_ = list_store;
#line 122 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp74_ = gee_abstract_list_index_of ((GeeAbstractList*) _tmp72_, _tmp73_);
#line 122 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			id = _tmp74_;
#line 123 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp75_ = self->priv->tree_views;
#line 123 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp76_ = id;
#line 123 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp77_ = gee_abstract_list_get ((GeeAbstractList*) _tmp75_, _tmp76_);
#line 123 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			tree_view = (GtkTreeView*) _tmp77_;
#line 126 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp78_ = list_store;
#line 126 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			gtk_list_store_append (_tmp78_, &_tmp79_);
#line 126 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			iter = _tmp79_;
#line 127 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp80_ = worm_settings;
#line 127 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp81_ = id;
#line 127 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp82_ = gee_abstract_list_get ((GeeAbstractList*) _tmp80_, _tmp81_);
#line 127 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp83_ = (GSettings*) _tmp82_;
#line 127 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp84_ = g_settings_get_int (_tmp83_, "key-up");
#line 127 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp85_ = _tmp84_;
#line 127 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_g_object_unref0 (_tmp83_);
#line 127 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			keyval = _tmp85_;
#line 128 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp86_ = list_store;
#line 128 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp87_ = iter;
#line 128 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp88_ = _ ("Move up");
#line 128 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp89_ = keyval;
#line 128 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			gtk_list_store_set (_tmp86_, &_tmp87_, 0, "key-up", 1, _tmp88_, 2, _tmp89_, -1);
#line 129 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp90_ = list_store;
#line 129 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			gtk_list_store_append (_tmp90_, &_tmp91_);
#line 129 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			iter = _tmp91_;
#line 130 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp92_ = worm_settings;
#line 130 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp93_ = id;
#line 130 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp94_ = gee_abstract_list_get ((GeeAbstractList*) _tmp92_, _tmp93_);
#line 130 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp95_ = (GSettings*) _tmp94_;
#line 130 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp96_ = g_settings_get_int (_tmp95_, "key-down");
#line 130 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			keyval = _tmp96_;
#line 130 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_g_object_unref0 (_tmp95_);
#line 131 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp97_ = list_store;
#line 131 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp98_ = iter;
#line 131 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp99_ = _ ("Move down");
#line 131 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp100_ = keyval;
#line 131 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			gtk_list_store_set (_tmp97_, &_tmp98_, 0, "key-down", 1, _tmp99_, 2, _tmp100_, -1);
#line 132 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp101_ = list_store;
#line 132 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			gtk_list_store_append (_tmp101_, &_tmp102_);
#line 132 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			iter = _tmp102_;
#line 133 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp103_ = worm_settings;
#line 133 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp104_ = id;
#line 133 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp105_ = gee_abstract_list_get ((GeeAbstractList*) _tmp103_, _tmp104_);
#line 133 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp106_ = (GSettings*) _tmp105_;
#line 133 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp107_ = g_settings_get_int (_tmp106_, "key-left");
#line 133 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			keyval = _tmp107_;
#line 133 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_g_object_unref0 (_tmp106_);
#line 134 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp108_ = list_store;
#line 134 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp109_ = iter;
#line 134 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp110_ = _ ("Move left");
#line 134 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp111_ = keyval;
#line 134 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			gtk_list_store_set (_tmp108_, &_tmp109_, 0, "key-left", 1, _tmp110_, 2, _tmp111_, -1);
#line 135 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp112_ = list_store;
#line 135 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			gtk_list_store_append (_tmp112_, &_tmp113_);
#line 135 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			iter = _tmp113_;
#line 136 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp114_ = worm_settings;
#line 136 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp115_ = id;
#line 136 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp116_ = gee_abstract_list_get ((GeeAbstractList*) _tmp114_, _tmp115_);
#line 136 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp117_ = (GSettings*) _tmp116_;
#line 136 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp118_ = g_settings_get_int (_tmp117_, "key-right");
#line 136 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			keyval = _tmp118_;
#line 136 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_g_object_unref0 (_tmp117_);
#line 137 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp119_ = list_store;
#line 137 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp120_ = iter;
#line 137 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp121_ = _ ("Move right");
#line 137 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp122_ = keyval;
#line 137 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			gtk_list_store_set (_tmp119_, &_tmp120_, 0, "key-right", 1, _tmp121_, 2, _tmp122_, -1);
#line 139 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp123_ = (GtkCellRendererText*) gtk_cell_renderer_text_new ();
#line 139 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			g_object_ref_sink (_tmp123_);
#line 139 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			label_renderer = _tmp123_;
#line 140 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp124_ = tree_view;
#line 140 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp125_ = _ ("Action");
#line 140 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp126_ = label_renderer;
#line 140 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			gtk_tree_view_insert_column_with_attributes (_tmp124_, -1, _tmp125_, (GtkCellRenderer*) _tmp126_, "text", 1, NULL);
#line 142 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp127_ = (GtkCellRendererAccel*) gtk_cell_renderer_accel_new ();
#line 142 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			g_object_ref_sink (_tmp127_);
#line 142 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			key_renderer = _tmp127_;
#line 143 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp128_ = key_renderer;
#line 143 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			g_object_set ((GtkCellRendererText*) _tmp128_, "editable", TRUE, NULL);
#line 144 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp129_ = key_renderer;
#line 144 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			g_object_set (_tmp129_, "accel-mode", GTK_CELL_RENDERER_ACCEL_MODE_OTHER, NULL);
#line 145 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp130_ = key_renderer;
#line 145 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			g_signal_connect_object (_tmp130_, "accel-edited", (GCallback) _preferences_dialog_accel_edited_cb_gtk_cell_renderer_accel_accel_edited, self, 0);
#line 146 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp131_ = key_renderer;
#line 146 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			g_signal_connect_object (_tmp131_, "accel-cleared", (GCallback) _preferences_dialog_accel_cleared_cb_gtk_cell_renderer_accel_accel_cleared, self, 0);
#line 147 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp132_ = tree_view;
#line 147 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp133_ = _ ("Key");
#line 147 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp134_ = key_renderer;
#line 147 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			gtk_tree_view_insert_column_with_attributes (_tmp132_, -1, _tmp133_, (GtkCellRenderer*) _tmp134_, "accel-key", 2, NULL);
#line 120 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_g_object_unref0 (key_renderer);
#line 120 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_g_object_unref0 (label_renderer);
#line 120 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_g_object_unref0 (tree_view);
#line 120 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_g_object_unref0 (list_store);
#line 800 "preferences-dialog.c"
		}
#line 120 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_g_object_unref0 (_list_store_list);
#line 804 "preferences-dialog.c"
	}
#line 152 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp135_ = gee_array_list_new (gtk_combo_box_text_get_type (), (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL, NULL, NULL);
#line 152 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->combo_boxes);
#line 152 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	self->priv->combo_boxes = _tmp135_;
#line 153 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp136_ = self->priv->combo_boxes;
#line 153 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp137_ = self->priv->combo_box_1;
#line 153 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp136_, _tmp137_);
#line 154 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp138_ = self->priv->combo_boxes;
#line 154 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp139_ = self->priv->combo_box_2;
#line 154 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp138_, _tmp139_);
#line 155 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp140_ = self->priv->combo_boxes;
#line 155 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp141_ = self->priv->combo_box_3;
#line 155 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp140_, _tmp141_);
#line 156 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp142_ = self->priv->combo_boxes;
#line 156 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp143_ = self->priv->combo_box_4;
#line 156 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp142_, _tmp143_);
#line 836 "preferences-dialog.c"
	{
		GeeArrayList* _combo_box_list = NULL;
		GeeArrayList* _tmp144_ = NULL;
		GeeArrayList* _tmp145_ = NULL;
		gint _combo_box_size = 0;
		GeeArrayList* _tmp146_ = NULL;
		gint _tmp147_ = 0;
		gint _tmp148_ = 0;
		gint _combo_box_index = 0;
#line 158 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_tmp144_ = self->priv->combo_boxes;
#line 158 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_tmp145_ = _g_object_ref0 (_tmp144_);
#line 158 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_combo_box_list = _tmp145_;
#line 158 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_tmp146_ = _combo_box_list;
#line 158 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_tmp147_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp146_);
#line 158 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_tmp148_ = _tmp147_;
#line 158 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_combo_box_size = _tmp148_;
#line 158 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_combo_box_index = -1;
#line 158 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		while (TRUE) {
#line 864 "preferences-dialog.c"
			gint _tmp149_ = 0;
			gint _tmp150_ = 0;
			gint _tmp151_ = 0;
			GtkComboBoxText* combo_box = NULL;
			GeeArrayList* _tmp152_ = NULL;
			gint _tmp153_ = 0;
			gpointer _tmp154_ = NULL;
			gint id = 0;
			GeeArrayList* _tmp162_ = NULL;
			GtkComboBoxText* _tmp163_ = NULL;
			gint _tmp164_ = 0;
			gint color = 0;
			GeeArrayList* _tmp165_ = NULL;
			gint _tmp166_ = 0;
			gpointer _tmp167_ = NULL;
			GSettings* _tmp168_ = NULL;
			gint _tmp169_ = 0;
			gint _tmp170_ = 0;
			GtkComboBoxText* _tmp171_ = NULL;
			gint _tmp172_ = 0;
			GtkComboBoxText* _tmp173_ = NULL;
#line 158 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp149_ = _combo_box_index;
#line 158 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_combo_box_index = _tmp149_ + 1;
#line 158 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp150_ = _combo_box_index;
#line 158 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp151_ = _combo_box_size;
#line 158 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			if (!(_tmp150_ < _tmp151_)) {
#line 158 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
				break;
#line 898 "preferences-dialog.c"
			}
#line 158 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp152_ = _combo_box_list;
#line 158 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp153_ = _combo_box_index;
#line 158 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp154_ = gee_abstract_list_get ((GeeAbstractList*) _tmp152_, _tmp153_);
#line 158 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			combo_box = (GtkComboBoxText*) _tmp154_;
#line 908 "preferences-dialog.c"
			{
				gint i = 0;
#line 160 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
				i = 0;
#line 913 "preferences-dialog.c"
				{
					gboolean _tmp155_ = FALSE;
#line 160 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp155_ = TRUE;
#line 160 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					while (TRUE) {
#line 920 "preferences-dialog.c"
						gint _tmp157_ = 0;
						GtkComboBoxText* _tmp158_ = NULL;
						gint _tmp159_ = 0;
						gchar* _tmp160_ = NULL;
						gchar* _tmp161_ = NULL;
#line 160 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
						if (!_tmp155_) {
#line 928 "preferences-dialog.c"
							gint _tmp156_ = 0;
#line 160 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
							_tmp156_ = i;
#line 160 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
							i = _tmp156_ + 1;
#line 934 "preferences-dialog.c"
						}
#line 160 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
						_tmp155_ = FALSE;
#line 160 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
						_tmp157_ = i;
#line 160 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
						if (!(_tmp157_ < NIBBLES_VIEW_NUM_COLORS)) {
#line 160 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
							break;
#line 944 "preferences-dialog.c"
						}
#line 161 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
						_tmp158_ = combo_box;
#line 161 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
						_tmp159_ = i;
#line 161 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
						_tmp160_ = nibbles_view_colorval_name (_tmp159_);
#line 161 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
						_tmp161_ = _tmp160_;
#line 161 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
						gtk_combo_box_text_append_text (_tmp158_, _tmp161_);
#line 161 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
						_g_free0 (_tmp161_);
#line 958 "preferences-dialog.c"
					}
				}
			}
#line 163 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp162_ = self->priv->combo_boxes;
#line 163 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp163_ = combo_box;
#line 163 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp164_ = gee_abstract_list_index_of ((GeeAbstractList*) _tmp162_, _tmp163_);
#line 163 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			id = _tmp164_;
#line 165 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp165_ = worm_settings;
#line 165 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp166_ = id;
#line 165 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp167_ = gee_abstract_list_get ((GeeAbstractList*) _tmp165_, _tmp166_);
#line 165 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp168_ = (GSettings*) _tmp167_;
#line 165 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp169_ = g_settings_get_enum (_tmp168_, "color");
#line 165 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp170_ = _tmp169_;
#line 165 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_g_object_unref0 (_tmp168_);
#line 165 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			color = _tmp170_;
#line 166 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp171_ = combo_box;
#line 166 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp172_ = color;
#line 166 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			gtk_combo_box_set_active ((GtkComboBox*) _tmp171_, _tmp172_);
#line 167 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp173_ = combo_box;
#line 167 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			g_signal_connect_object ((GtkComboBox*) _tmp173_, "changed", (GCallback) _preferences_dialog_combo_box_changed_cb_gtk_combo_box_changed, self, 0);
#line 158 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_g_object_unref0 (combo_box);
#line 998 "preferences-dialog.c"
		}
#line 158 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_g_object_unref0 (_combo_box_list);
#line 1002 "preferences-dialog.c"
	}
#line 71 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	return self;
#line 1006 "preferences-dialog.c"
}


PreferencesDialog* preferences_dialog_new (GtkApplicationWindow* window, GSettings* settings, GeeArrayList* worm_settings) {
#line 71 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	return preferences_dialog_construct (TYPE_PREFERENCES_DIALOG, window, settings, worm_settings);
#line 1013 "preferences-dialog.c"
}


static void preferences_dialog_radio_button_toggled_cb (PreferencesDialog* self, GtkToggleButton* button) {
	GtkToggleButton* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 171 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	g_return_if_fail (self != NULL);
#line 171 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	g_return_if_fail (button != NULL);
#line 173 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp0_ = button;
#line 173 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp1_ = gtk_toggle_button_get_active (_tmp0_);
#line 173 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	if (_tmp1_) {
#line 1030 "preferences-dialog.c"
		gint speed = 0;
		GeeArrayList* _tmp2_ = NULL;
		GtkToggleButton* _tmp3_ = NULL;
		gint _tmp4_ = 0;
		GSettings* _tmp5_ = NULL;
		gint _tmp6_ = 0;
#line 175 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_tmp2_ = self->priv->radio_buttons;
#line 175 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_tmp3_ = button;
#line 175 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_tmp4_ = gee_abstract_list_index_of ((GeeAbstractList*) _tmp2_, G_TYPE_CHECK_INSTANCE_CAST (_tmp3_, gtk_radio_button_get_type (), GtkRadioButton));
#line 175 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		speed = NIBBLES_GAME_MAX_SPEED - _tmp4_;
#line 176 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_tmp5_ = self->priv->settings;
#line 176 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_tmp6_ = speed;
#line 176 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		g_settings_set_int (_tmp5_, "speed", _tmp6_);
#line 1051 "preferences-dialog.c"
	}
}


static void preferences_dialog_sound_toggled_cb (PreferencesDialog* self) {
	gboolean play_sound = FALSE;
	GtkCheckButton* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	GSettings* _tmp2_ = NULL;
#line 180 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	g_return_if_fail (self != NULL);
#line 182 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp0_ = self->priv->sound_check_button;
#line 182 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp1_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp0_);
#line 182 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	play_sound = _tmp1_;
#line 183 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp2_ = self->priv->settings;
#line 183 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	g_settings_set_boolean (_tmp2_, "sound", play_sound);
#line 1073 "preferences-dialog.c"
}


static void preferences_dialog_fakes_toggles_cb (PreferencesDialog* self) {
	gboolean has_fakes = FALSE;
	GtkCheckButton* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	GSettings* _tmp2_ = NULL;
#line 186 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	g_return_if_fail (self != NULL);
#line 188 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp0_ = self->priv->fakes_check_button;
#line 188 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp1_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp0_);
#line 188 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	has_fakes = _tmp1_;
#line 189 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp2_ = self->priv->settings;
#line 189 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	g_settings_set_boolean (_tmp2_, "fakes", has_fakes);
#line 1094 "preferences-dialog.c"
}


static void preferences_dialog_accel_edited_cb (PreferencesDialog* self, GtkCellRendererAccel* cell, const gchar* path_string, guint keyval, GdkModifierType mask, guint hardware_keycode) {
	GtkTreePath* path = NULL;
	const gchar* _tmp0_ = NULL;
	GtkTreePath* _tmp1_ = NULL;
	GtkTreePath* _tmp2_ = NULL;
	gint id = 0;
	GtkNotebook* _tmp3_ = NULL;
	gint _tmp4_ = 0;
	GtkListStore* list_store = NULL;
	GeeArrayList* _tmp5_ = NULL;
	gint _tmp6_ = 0;
	gpointer _tmp7_ = NULL;
	GtkTreeIter it = {0};
	GtkListStore* _tmp8_ = NULL;
	GtkTreePath* _tmp9_ = NULL;
	GtkTreeIter _tmp10_ = {0};
	gboolean _tmp11_ = FALSE;
	gchar* key = NULL;
	GtkListStore* _tmp12_ = NULL;
	GtkTreeIter _tmp13_ = {0};
	const gchar* _tmp14_ = NULL;
	GeeArrayList* _tmp15_ = NULL;
	gint _tmp16_ = 0;
	gpointer _tmp17_ = NULL;
	GSettings* _tmp18_ = NULL;
	const gchar* _tmp19_ = NULL;
	gint _tmp20_ = 0;
	guint _tmp21_ = 0U;
	gboolean _tmp22_ = FALSE;
	gboolean valid = FALSE;
	gboolean _tmp59_ = FALSE;
#line 192 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	g_return_if_fail (self != NULL);
#line 192 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	g_return_if_fail (cell != NULL);
#line 192 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	g_return_if_fail (path_string != NULL);
#line 195 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp0_ = path_string;
#line 195 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp1_ = gtk_tree_path_new_from_string (_tmp0_);
#line 195 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	path = _tmp1_;
#line 196 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp2_ = path;
#line 196 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	if (_tmp2_ == NULL) {
#line 197 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_gtk_tree_path_free0 (path);
#line 197 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		return;
#line 1149 "preferences-dialog.c"
	}
#line 199 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp3_ = self->priv->notebook;
#line 199 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp4_ = gtk_notebook_get_current_page (_tmp3_);
#line 199 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	id = _tmp4_ - 1;
#line 200 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp5_ = self->priv->list_stores;
#line 200 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp6_ = id;
#line 200 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp7_ = gee_abstract_list_get ((GeeAbstractList*) _tmp5_, _tmp6_);
#line 200 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	list_store = (GtkListStore*) _tmp7_;
#line 203 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp8_ = list_store;
#line 203 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp9_ = path;
#line 203 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp11_ = gtk_tree_model_get_iter ((GtkTreeModel*) _tmp8_, &_tmp10_, _tmp9_);
#line 203 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	it = _tmp10_;
#line 203 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	if (!_tmp11_) {
#line 204 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_g_object_unref0 (list_store);
#line 204 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_gtk_tree_path_free0 (path);
#line 204 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		return;
#line 1181 "preferences-dialog.c"
	}
#line 206 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	key = NULL;
#line 207 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp12_ = list_store;
#line 207 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp13_ = it;
#line 207 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gtk_tree_model_get ((GtkTreeModel*) _tmp12_, &_tmp13_, 0, &key, -1);
#line 208 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp14_ = key;
#line 208 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	if (_tmp14_ == NULL) {
#line 209 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_g_free0 (key);
#line 209 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_g_object_unref0 (list_store);
#line 209 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_gtk_tree_path_free0 (path);
#line 209 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		return;
#line 1203 "preferences-dialog.c"
	}
#line 211 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp15_ = self->priv->worm_settings;
#line 211 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp16_ = id;
#line 211 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp17_ = gee_abstract_list_get ((GeeAbstractList*) _tmp15_, _tmp16_);
#line 211 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp18_ = (GSettings*) _tmp17_;
#line 211 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp19_ = key;
#line 211 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp20_ = g_settings_get_int (_tmp18_, _tmp19_);
#line 211 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp21_ = keyval;
#line 211 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp22_ = ((guint) _tmp20_) == _tmp21_;
#line 211 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_object_unref0 (_tmp18_);
#line 211 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	if (_tmp22_) {
#line 212 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_g_free0 (key);
#line 212 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_g_object_unref0 (list_store);
#line 212 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_gtk_tree_path_free0 (path);
#line 212 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		return;
#line 1233 "preferences-dialog.c"
	}
#line 215 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	valid = TRUE;
#line 1237 "preferences-dialog.c"
	{
		gint i = 0;
#line 216 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		i = 0;
#line 1242 "preferences-dialog.c"
		{
			gboolean _tmp23_ = FALSE;
#line 216 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp23_ = TRUE;
#line 216 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			while (TRUE) {
#line 1249 "preferences-dialog.c"
				gint _tmp25_ = 0;
				gboolean _tmp26_ = FALSE;
				gboolean _tmp27_ = FALSE;
				gboolean _tmp28_ = FALSE;
				GeeArrayList* _tmp29_ = NULL;
				gint _tmp30_ = 0;
				gpointer _tmp31_ = NULL;
				GSettings* _tmp32_ = NULL;
				gint _tmp33_ = 0;
				guint _tmp34_ = 0U;
				gboolean _tmp35_ = FALSE;
#line 216 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
				if (!_tmp23_) {
#line 1263 "preferences-dialog.c"
					gint _tmp24_ = 0;
#line 216 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp24_ = i;
#line 216 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					i = _tmp24_ + 1;
#line 1269 "preferences-dialog.c"
				}
#line 216 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
				_tmp23_ = FALSE;
#line 216 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
				_tmp25_ = i;
#line 216 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
				if (!(_tmp25_ < NIBBLES_GAME_MAX_HUMANS)) {
#line 216 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					break;
#line 1279 "preferences-dialog.c"
				}
#line 218 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
				_tmp29_ = self->priv->worm_settings;
#line 218 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
				_tmp30_ = i;
#line 218 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
				_tmp31_ = gee_abstract_list_get ((GeeAbstractList*) _tmp29_, _tmp30_);
#line 218 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
				_tmp32_ = (GSettings*) _tmp31_;
#line 218 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
				_tmp33_ = g_settings_get_int (_tmp32_, "key-up");
#line 218 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
				_tmp34_ = keyval;
#line 218 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
				_tmp35_ = ((guint) _tmp33_) == _tmp34_;
#line 218 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
				_g_object_unref0 (_tmp32_);
#line 218 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
				if (_tmp35_) {
#line 218 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp28_ = TRUE;
#line 1301 "preferences-dialog.c"
				} else {
					GeeArrayList* _tmp36_ = NULL;
					gint _tmp37_ = 0;
					gpointer _tmp38_ = NULL;
					GSettings* _tmp39_ = NULL;
					gint _tmp40_ = 0;
					guint _tmp41_ = 0U;
#line 219 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp36_ = self->priv->worm_settings;
#line 219 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp37_ = i;
#line 219 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp38_ = gee_abstract_list_get ((GeeAbstractList*) _tmp36_, _tmp37_);
#line 219 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp39_ = (GSettings*) _tmp38_;
#line 219 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp40_ = g_settings_get_int (_tmp39_, "key-down");
#line 219 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp41_ = keyval;
#line 219 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp28_ = ((guint) _tmp40_) == _tmp41_;
#line 219 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_g_object_unref0 (_tmp39_);
#line 1325 "preferences-dialog.c"
				}
#line 218 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
				if (_tmp28_) {
#line 218 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp27_ = TRUE;
#line 1331 "preferences-dialog.c"
				} else {
					GeeArrayList* _tmp42_ = NULL;
					gint _tmp43_ = 0;
					gpointer _tmp44_ = NULL;
					GSettings* _tmp45_ = NULL;
					gint _tmp46_ = 0;
					guint _tmp47_ = 0U;
#line 220 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp42_ = self->priv->worm_settings;
#line 220 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp43_ = i;
#line 220 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp44_ = gee_abstract_list_get ((GeeAbstractList*) _tmp42_, _tmp43_);
#line 220 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp45_ = (GSettings*) _tmp44_;
#line 220 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp46_ = g_settings_get_int (_tmp45_, "key-left");
#line 220 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp47_ = keyval;
#line 220 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp27_ = ((guint) _tmp46_) == _tmp47_;
#line 220 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_g_object_unref0 (_tmp45_);
#line 1355 "preferences-dialog.c"
				}
#line 218 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
				if (_tmp27_) {
#line 218 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp26_ = TRUE;
#line 1361 "preferences-dialog.c"
				} else {
					GeeArrayList* _tmp48_ = NULL;
					gint _tmp49_ = 0;
					gpointer _tmp50_ = NULL;
					GSettings* _tmp51_ = NULL;
					gint _tmp52_ = 0;
					guint _tmp53_ = 0U;
#line 221 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp48_ = self->priv->worm_settings;
#line 221 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp49_ = i;
#line 221 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp50_ = gee_abstract_list_get ((GeeAbstractList*) _tmp48_, _tmp49_);
#line 221 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp51_ = (GSettings*) _tmp50_;
#line 221 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp52_ = g_settings_get_int (_tmp51_, "key-right");
#line 221 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp53_ = keyval;
#line 221 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp26_ = ((guint) _tmp52_) == _tmp53_;
#line 221 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_g_object_unref0 (_tmp51_);
#line 1385 "preferences-dialog.c"
				}
#line 218 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
				if (_tmp26_) {
#line 1389 "preferences-dialog.c"
					GtkMessageDialog* dialog = NULL;
					GtkApplicationWindow* _tmp54_ = NULL;
					const gchar* _tmp55_ = NULL;
					GtkMessageDialog* _tmp56_ = NULL;
					GtkMessageDialog* _tmp57_ = NULL;
					GtkMessageDialog* _tmp58_ = NULL;
#line 223 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					valid = FALSE;
#line 226 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp54_ = self->priv->window;
#line 226 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp55_ = _ ("The key you selected is already assigned!");
#line 226 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp56_ = (GtkMessageDialog*) gtk_message_dialog_new ((GtkWindow*) _tmp54_, GTK_DIALOG_DESTROY_WITH_PARENT, GTK_MESSAGE_WARNING, GTK_BUTTONS_OK, _tmp55_);
#line 226 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					g_object_ref_sink (_tmp56_);
#line 226 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					dialog = _tmp56_;
#line 232 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp57_ = dialog;
#line 232 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					gtk_dialog_run ((GtkDialog*) _tmp57_);
#line 233 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp58_ = dialog;
#line 233 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					gtk_widget_destroy ((GtkWidget*) _tmp58_);
#line 234 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_g_object_unref0 (dialog);
#line 234 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					break;
#line 1420 "preferences-dialog.c"
				}
			}
		}
	}
#line 238 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp59_ = valid;
#line 238 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	if (_tmp59_) {
#line 1429 "preferences-dialog.c"
		GtkListStore* _tmp60_ = NULL;
		GtkTreeIter _tmp61_ = {0};
		guint _tmp62_ = 0U;
		GeeArrayList* _tmp63_ = NULL;
		gint _tmp64_ = 0;
		gpointer _tmp65_ = NULL;
		GSettings* _tmp66_ = NULL;
		const gchar* _tmp67_ = NULL;
		guint _tmp68_ = 0U;
#line 240 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_tmp60_ = list_store;
#line 240 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_tmp61_ = it;
#line 240 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_tmp62_ = keyval;
#line 240 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		gtk_list_store_set (_tmp60_, &_tmp61_, 2, _tmp62_, -1);
#line 241 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_tmp63_ = self->priv->worm_settings;
#line 241 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_tmp64_ = id;
#line 241 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_tmp65_ = gee_abstract_list_get ((GeeAbstractList*) _tmp63_, _tmp64_);
#line 241 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_tmp66_ = (GSettings*) _tmp65_;
#line 241 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_tmp67_ = key;
#line 241 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_tmp68_ = keyval;
#line 241 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		g_settings_set_int (_tmp66_, _tmp67_, (gint) _tmp68_);
#line 241 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_g_object_unref0 (_tmp66_);
#line 1463 "preferences-dialog.c"
	}
#line 192 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_free0 (key);
#line 192 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_object_unref0 (list_store);
#line 192 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_gtk_tree_path_free0 (path);
#line 1471 "preferences-dialog.c"
}


static void preferences_dialog_accel_cleared_cb (PreferencesDialog* self, GtkCellRendererAccel* cell, const gchar* path_string) {
	GtkTreePath* path = NULL;
	const gchar* _tmp0_ = NULL;
	GtkTreePath* _tmp1_ = NULL;
	GtkTreePath* _tmp2_ = NULL;
	gint id = 0;
	GtkNotebook* _tmp3_ = NULL;
	gint _tmp4_ = 0;
	GtkListStore* list_store = NULL;
	GeeArrayList* _tmp5_ = NULL;
	gint _tmp6_ = 0;
	gpointer _tmp7_ = NULL;
	GtkTreeIter it = {0};
	GtkListStore* _tmp8_ = NULL;
	GtkTreePath* _tmp9_ = NULL;
	GtkTreeIter _tmp10_ = {0};
	gboolean _tmp11_ = FALSE;
	gchar* key = NULL;
	GtkListStore* _tmp12_ = NULL;
	GtkTreeIter _tmp13_ = {0};
	const gchar* _tmp14_ = NULL;
	GtkListStore* _tmp15_ = NULL;
	GtkTreeIter _tmp16_ = {0};
	GeeArrayList* _tmp17_ = NULL;
	gint _tmp18_ = 0;
	gpointer _tmp19_ = NULL;
	GSettings* _tmp20_ = NULL;
	const gchar* _tmp21_ = NULL;
#line 245 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	g_return_if_fail (self != NULL);
#line 245 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	g_return_if_fail (cell != NULL);
#line 245 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	g_return_if_fail (path_string != NULL);
#line 247 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp0_ = path_string;
#line 247 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp1_ = gtk_tree_path_new_from_string (_tmp0_);
#line 247 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	path = _tmp1_;
#line 248 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp2_ = path;
#line 248 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	if (_tmp2_ == NULL) {
#line 249 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_gtk_tree_path_free0 (path);
#line 249 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		return;
#line 1523 "preferences-dialog.c"
	}
#line 251 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp3_ = self->priv->notebook;
#line 251 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp4_ = gtk_notebook_get_current_page (_tmp3_);
#line 251 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	id = _tmp4_ - 1;
#line 252 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp5_ = self->priv->list_stores;
#line 252 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp6_ = id;
#line 252 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp7_ = gee_abstract_list_get ((GeeAbstractList*) _tmp5_, _tmp6_);
#line 252 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	list_store = (GtkListStore*) _tmp7_;
#line 255 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp8_ = list_store;
#line 255 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp9_ = path;
#line 255 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp11_ = gtk_tree_model_get_iter ((GtkTreeModel*) _tmp8_, &_tmp10_, _tmp9_);
#line 255 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	it = _tmp10_;
#line 255 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	if (!_tmp11_) {
#line 256 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_g_object_unref0 (list_store);
#line 256 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_gtk_tree_path_free0 (path);
#line 256 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		return;
#line 1555 "preferences-dialog.c"
	}
#line 258 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	key = NULL;
#line 259 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp12_ = list_store;
#line 259 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp13_ = it;
#line 259 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gtk_tree_model_get ((GtkTreeModel*) _tmp12_, &_tmp13_, 0, &key, -1);
#line 260 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp14_ = key;
#line 260 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	if (_tmp14_ == NULL) {
#line 261 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_g_free0 (key);
#line 261 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_g_object_unref0 (list_store);
#line 261 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		_gtk_tree_path_free0 (path);
#line 261 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		return;
#line 1577 "preferences-dialog.c"
	}
#line 263 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp15_ = list_store;
#line 263 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp16_ = it;
#line 263 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gtk_list_store_set (_tmp15_, &_tmp16_, 2, 0, -1);
#line 264 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp17_ = self->priv->worm_settings;
#line 264 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp18_ = id;
#line 264 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp19_ = gee_abstract_list_get ((GeeAbstractList*) _tmp17_, _tmp18_);
#line 264 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp20_ = (GSettings*) _tmp19_;
#line 264 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp21_ = key;
#line 264 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	g_settings_set_int (_tmp20_, _tmp21_, 0);
#line 264 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_object_unref0 (_tmp20_);
#line 245 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_free0 (key);
#line 245 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_object_unref0 (list_store);
#line 245 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_gtk_tree_path_free0 (path);
#line 1605 "preferences-dialog.c"
}


static void preferences_dialog_combo_box_changed_cb (PreferencesDialog* self, GtkComboBox* combo_box) {
	gint id = 0;
	GeeArrayList* _tmp0_ = NULL;
	GtkComboBox* _tmp1_ = NULL;
	gint _tmp2_ = 0;
	gint color_new = 0;
	GtkComboBox* _tmp3_ = NULL;
	gint _tmp4_ = 0;
	gint color_old = 0;
	GeeArrayList* _tmp5_ = NULL;
	gint _tmp6_ = 0;
	gpointer _tmp7_ = NULL;
	GSettings* _tmp8_ = NULL;
	gint _tmp9_ = 0;
	gint _tmp10_ = 0;
	gint _tmp11_ = 0;
	gint _tmp12_ = 0;
	GeeArrayList* _tmp49_ = NULL;
	gint _tmp50_ = 0;
	gpointer _tmp51_ = NULL;
	GSettings* _tmp52_ = NULL;
	gint _tmp53_ = 0;
#line 267 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	g_return_if_fail (self != NULL);
#line 267 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	g_return_if_fail (combo_box != NULL);
#line 269 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp0_ = self->priv->combo_boxes;
#line 269 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp1_ = combo_box;
#line 269 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp2_ = gee_abstract_list_index_of ((GeeAbstractList*) _tmp0_, G_TYPE_CHECK_INSTANCE_CAST (_tmp1_, gtk_combo_box_text_get_type (), GtkComboBoxText));
#line 269 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	id = _tmp2_;
#line 270 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp3_ = combo_box;
#line 270 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp4_ = gtk_combo_box_get_active (_tmp3_);
#line 270 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	color_new = _tmp4_;
#line 271 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp5_ = self->priv->worm_settings;
#line 271 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp6_ = id;
#line 271 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp7_ = gee_abstract_list_get ((GeeAbstractList*) _tmp5_, _tmp6_);
#line 271 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp8_ = (GSettings*) _tmp7_;
#line 271 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp9_ = g_settings_get_enum (_tmp8_, "color");
#line 271 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp10_ = _tmp9_;
#line 271 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_object_unref0 (_tmp8_);
#line 271 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	color_old = _tmp10_;
#line 273 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp11_ = color_new;
#line 273 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp12_ = color_old;
#line 273 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	if (_tmp11_ == _tmp12_) {
#line 274 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		return;
#line 1673 "preferences-dialog.c"
	}
	{
		gint i = 0;
#line 277 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
		i = 0;
#line 1679 "preferences-dialog.c"
		{
			gboolean _tmp13_ = FALSE;
#line 277 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			_tmp13_ = TRUE;
#line 277 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
			while (TRUE) {
#line 1686 "preferences-dialog.c"
				gint _tmp15_ = 0;
				gboolean _tmp16_ = FALSE;
				gint _tmp17_ = 0;
				gint _tmp18_ = 0;
#line 277 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
				if (!_tmp13_) {
#line 1693 "preferences-dialog.c"
					gint _tmp14_ = 0;
#line 277 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp14_ = i;
#line 277 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					i = _tmp14_ + 1;
#line 1699 "preferences-dialog.c"
				}
#line 277 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
				_tmp13_ = FALSE;
#line 277 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
				_tmp15_ = i;
#line 277 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
				if (!(_tmp15_ < NIBBLES_GAME_MAX_WORMS)) {
#line 277 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					break;
#line 1709 "preferences-dialog.c"
				}
#line 279 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
				_tmp17_ = i;
#line 279 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
				_tmp18_ = id;
#line 279 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
				if (_tmp17_ != _tmp18_) {
#line 1717 "preferences-dialog.c"
					GeeArrayList* _tmp19_ = NULL;
					gint _tmp20_ = 0;
					gpointer _tmp21_ = NULL;
					GSettings* _tmp22_ = NULL;
					gint _tmp23_ = 0;
					gint _tmp24_ = 0;
#line 279 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp19_ = self->priv->worm_settings;
#line 279 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp20_ = i;
#line 279 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp21_ = gee_abstract_list_get ((GeeAbstractList*) _tmp19_, _tmp20_);
#line 279 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp22_ = (GSettings*) _tmp21_;
#line 279 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp23_ = g_settings_get_enum (_tmp22_, "color");
#line 279 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp24_ = color_new;
#line 279 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp16_ = _tmp23_ == _tmp24_;
#line 279 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_g_object_unref0 (_tmp22_);
#line 1740 "preferences-dialog.c"
				} else {
#line 279 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp16_ = FALSE;
#line 1744 "preferences-dialog.c"
				}
#line 279 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
				if (_tmp16_) {
#line 1748 "preferences-dialog.c"
					GeeArrayList* _tmp25_ = NULL;
					gint _tmp26_ = 0;
					gpointer _tmp27_ = NULL;
					GSettings* _tmp28_ = NULL;
					gint _tmp29_ = 0;
					gint _tmp30_ = 0;
#line 281 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp25_ = self->priv->worm_settings;
#line 281 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp26_ = i;
#line 281 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp27_ = gee_abstract_list_get ((GeeAbstractList*) _tmp25_, _tmp26_);
#line 281 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp28_ = (GSettings*) _tmp27_;
#line 281 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp29_ = color_old;
#line 281 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					g_settings_set_enum (_tmp28_, "color", _tmp29_);
#line 281 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_g_object_unref0 (_tmp28_);
#line 284 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					_tmp30_ = i;
#line 284 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					if (_tmp30_ < NIBBLES_GAME_MAX_HUMANS) {
#line 1773 "preferences-dialog.c"
						{
							GeeArrayList* _cbox_list = NULL;
							GeeArrayList* _tmp31_ = NULL;
							GeeArrayList* _tmp32_ = NULL;
							gint _cbox_size = 0;
							GeeArrayList* _tmp33_ = NULL;
							gint _tmp34_ = 0;
							gint _tmp35_ = 0;
							gint _cbox_index = 0;
#line 286 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
							_tmp31_ = self->priv->combo_boxes;
#line 286 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
							_tmp32_ = _g_object_ref0 (_tmp31_);
#line 286 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
							_cbox_list = _tmp32_;
#line 286 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
							_tmp33_ = _cbox_list;
#line 286 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
							_tmp34_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp33_);
#line 286 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
							_tmp35_ = _tmp34_;
#line 286 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
							_cbox_size = _tmp35_;
#line 286 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
							_cbox_index = -1;
#line 286 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
							while (TRUE) {
#line 1801 "preferences-dialog.c"
								gint _tmp36_ = 0;
								gint _tmp37_ = 0;
								gint _tmp38_ = 0;
								GtkComboBoxText* cbox = NULL;
								GeeArrayList* _tmp39_ = NULL;
								gint _tmp40_ = 0;
								gpointer _tmp41_ = NULL;
								gint index = 0;
								GeeArrayList* _tmp42_ = NULL;
								GtkComboBoxText* _tmp43_ = NULL;
								gint _tmp44_ = 0;
								gint _tmp45_ = 0;
								gint _tmp46_ = 0;
#line 286 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
								_tmp36_ = _cbox_index;
#line 286 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
								_cbox_index = _tmp36_ + 1;
#line 286 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
								_tmp37_ = _cbox_index;
#line 286 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
								_tmp38_ = _cbox_size;
#line 286 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
								if (!(_tmp37_ < _tmp38_)) {
#line 286 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
									break;
#line 1827 "preferences-dialog.c"
								}
#line 286 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
								_tmp39_ = _cbox_list;
#line 286 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
								_tmp40_ = _cbox_index;
#line 286 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
								_tmp41_ = gee_abstract_list_get ((GeeAbstractList*) _tmp39_, _tmp40_);
#line 286 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
								cbox = (GtkComboBoxText*) _tmp41_;
#line 288 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
								_tmp42_ = self->priv->combo_boxes;
#line 288 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
								_tmp43_ = cbox;
#line 288 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
								_tmp44_ = gee_abstract_list_index_of ((GeeAbstractList*) _tmp42_, _tmp43_);
#line 288 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
								index = _tmp44_;
#line 289 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
								_tmp45_ = index;
#line 289 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
								_tmp46_ = i;
#line 289 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
								if (_tmp45_ == _tmp46_) {
#line 1851 "preferences-dialog.c"
									GtkComboBoxText* _tmp47_ = NULL;
									gint _tmp48_ = 0;
#line 291 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
									_tmp47_ = cbox;
#line 291 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
									_tmp48_ = color_old;
#line 291 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
									gtk_combo_box_set_active ((GtkComboBox*) _tmp47_, _tmp48_);
#line 292 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
									_g_object_unref0 (cbox);
#line 292 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
									break;
#line 1864 "preferences-dialog.c"
								}
#line 286 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
								_g_object_unref0 (cbox);
#line 1868 "preferences-dialog.c"
							}
#line 286 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
							_g_object_unref0 (_cbox_list);
#line 1872 "preferences-dialog.c"
						}
					}
#line 297 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
					break;
#line 1877 "preferences-dialog.c"
				}
			}
		}
	}
#line 301 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp49_ = self->priv->worm_settings;
#line 301 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp50_ = id;
#line 301 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp51_ = gee_abstract_list_get ((GeeAbstractList*) _tmp49_, _tmp50_);
#line 301 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp52_ = (GSettings*) _tmp51_;
#line 301 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_tmp53_ = color_new;
#line 301 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	g_settings_set_enum (_tmp52_, "color", _tmp53_);
#line 301 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_object_unref0 (_tmp52_);
#line 1896 "preferences-dialog.c"
}


static void preferences_dialog_class_init (PreferencesDialogClass * klass) {
	gint PreferencesDialog_private_offset;
#line 20 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	preferences_dialog_parent_class = g_type_class_peek_parent (klass);
#line 20 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	g_type_class_add_private (klass, sizeof (PreferencesDialogPrivate));
#line 20 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	G_OBJECT_CLASS (klass)->finalize = preferences_dialog_finalize;
#line 20 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	PreferencesDialog_private_offset = g_type_class_get_instance_private_offset (klass);
#line 20 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gtk_widget_class_set_template_from_resource (GTK_WIDGET_CLASS (klass), "/org/gnome/nibbles/ui/preferences-dialog.ui");
#line 20 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "notebook", FALSE, PreferencesDialog_private_offset + G_STRUCT_OFFSET (PreferencesDialogPrivate, notebook));
#line 20 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "beginner_radio_button", FALSE, PreferencesDialog_private_offset + G_STRUCT_OFFSET (PreferencesDialogPrivate, beginner_radio_button));
#line 20 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "slow_radio_button", FALSE, PreferencesDialog_private_offset + G_STRUCT_OFFSET (PreferencesDialogPrivate, slow_radio_button));
#line 20 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "medium_radio_button", FALSE, PreferencesDialog_private_offset + G_STRUCT_OFFSET (PreferencesDialogPrivate, medium_radio_button));
#line 20 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "fast_radio_button", FALSE, PreferencesDialog_private_offset + G_STRUCT_OFFSET (PreferencesDialogPrivate, fast_radio_button));
#line 20 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "sound_check_button", FALSE, PreferencesDialog_private_offset + G_STRUCT_OFFSET (PreferencesDialogPrivate, sound_check_button));
#line 20 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "fakes_check_button", FALSE, PreferencesDialog_private_offset + G_STRUCT_OFFSET (PreferencesDialogPrivate, fakes_check_button));
#line 20 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "list_store_1", FALSE, PreferencesDialog_private_offset + G_STRUCT_OFFSET (PreferencesDialogPrivate, list_store_1));
#line 20 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "list_store_2", FALSE, PreferencesDialog_private_offset + G_STRUCT_OFFSET (PreferencesDialogPrivate, list_store_2));
#line 20 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "list_store_3", FALSE, PreferencesDialog_private_offset + G_STRUCT_OFFSET (PreferencesDialogPrivate, list_store_3));
#line 20 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "list_store_4", FALSE, PreferencesDialog_private_offset + G_STRUCT_OFFSET (PreferencesDialogPrivate, list_store_4));
#line 20 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "tree_view_1", FALSE, PreferencesDialog_private_offset + G_STRUCT_OFFSET (PreferencesDialogPrivate, tree_view_1));
#line 20 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "tree_view_2", FALSE, PreferencesDialog_private_offset + G_STRUCT_OFFSET (PreferencesDialogPrivate, tree_view_2));
#line 20 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "tree_view_3", FALSE, PreferencesDialog_private_offset + G_STRUCT_OFFSET (PreferencesDialogPrivate, tree_view_3));
#line 20 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "tree_view_4", FALSE, PreferencesDialog_private_offset + G_STRUCT_OFFSET (PreferencesDialogPrivate, tree_view_4));
#line 20 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "combo_box_1", FALSE, PreferencesDialog_private_offset + G_STRUCT_OFFSET (PreferencesDialogPrivate, combo_box_1));
#line 20 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "combo_box_2", FALSE, PreferencesDialog_private_offset + G_STRUCT_OFFSET (PreferencesDialogPrivate, combo_box_2));
#line 20 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "combo_box_3", FALSE, PreferencesDialog_private_offset + G_STRUCT_OFFSET (PreferencesDialogPrivate, combo_box_3));
#line 20 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "combo_box_4", FALSE, PreferencesDialog_private_offset + G_STRUCT_OFFSET (PreferencesDialogPrivate, combo_box_4));
#line 1950 "preferences-dialog.c"
}


static void preferences_dialog_instance_init (PreferencesDialog * self) {
#line 20 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	self->priv = PREFERENCES_DIALOG_GET_PRIVATE (self);
#line 20 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	gtk_widget_init_template (GTK_WIDGET (self));
#line 1959 "preferences-dialog.c"
}


static void preferences_dialog_finalize (GObject* obj) {
	PreferencesDialog * self;
#line 20 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_PREFERENCES_DIALOG, PreferencesDialog);
#line 22 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->window);
#line 24 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->settings);
#line 25 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->worm_settings);
#line 28 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->notebook);
#line 30 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->beginner_radio_button);
#line 32 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->slow_radio_button);
#line 34 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->medium_radio_button);
#line 36 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->fast_radio_button);
#line 38 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->sound_check_button);
#line 40 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->fakes_check_button);
#line 42 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->list_store_1);
#line 44 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->list_store_2);
#line 46 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->list_store_3);
#line 48 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->list_store_4);
#line 50 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->tree_view_1);
#line 52 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->tree_view_2);
#line 54 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->tree_view_3);
#line 56 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->tree_view_4);
#line 58 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->combo_box_1);
#line 60 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->combo_box_2);
#line 62 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->combo_box_3);
#line 64 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->combo_box_4);
#line 66 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->radio_buttons);
#line 67 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->list_stores);
#line 68 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->tree_views);
#line 69 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	_g_object_unref0 (self->priv->combo_boxes);
#line 20 "/home/mcatanzaro/src/jhbuild/checkout/gnome-nibbles/src/preferences-dialog.vala"
	G_OBJECT_CLASS (preferences_dialog_parent_class)->finalize (obj);
#line 2021 "preferences-dialog.c"
}


GType preferences_dialog_get_type (void) {
	static volatile gsize preferences_dialog_type_id__volatile = 0;
	if (g_once_init_enter (&preferences_dialog_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (PreferencesDialogClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) preferences_dialog_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (PreferencesDialog), 0, (GInstanceInitFunc) preferences_dialog_instance_init, NULL };
		GType preferences_dialog_type_id;
		preferences_dialog_type_id = g_type_register_static (gtk_dialog_get_type (), "PreferencesDialog", &g_define_type_info, 0);
		g_once_init_leave (&preferences_dialog_type_id__volatile, preferences_dialog_type_id);
	}
	return preferences_dialog_type_id__volatile;
}



